be.ehealth.technicalconnector.config.impl

## Class ConfigurationModuleWindows10

- java.lang.Object
- - be.ehealth.technicalconnector.config.impl.ConfigurationModuleWindows10

- All Implemented Interfaces:
    ConfigurationModule

      public class ConfigurationModuleWindows10
      extends Object
      implements ConfigurationModule

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SYSPROP_W10_PATCH_ACTIVE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationModuleWindows10()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Configuration config)` Method that initialise the configuration module.
    `void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYSPROP_W10_PATCH_ACTIVE

          public static final String SYSPROP_W10_PATCH_ACTIVE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigurationModuleWindows10

          public ConfigurationModuleWindows10()

  - ### Method Detail

    - #### init

          public void init(Configuration config)
                    throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that initialise the configuration module.
      Specified by:
        `init` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`

    - #### unload

          public void unload()
                      throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that restores the configuration module and reset the system to the initial situation.
      Specified by:
        `unload` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSDIETICIAN 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.